#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream f1("snton.inp");
    long n;
    f1>>n;
    f1.close();
    int dem=0,k=0;
    for(int i=2;i*i<n;i++){
        if(n%i==0){
            dem=1;break;
        }
    }
    ofstream f2("snton.out");
    if(dem==0){
        f2<<"YES";
    }
    if(dem!=0){
        f2<<"NO";
    }
    f2.close();
    return 0;
}
